%define pkg_name        Scope-Guard
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 1.n0i.2

Summary:       Lexically scoped resource management
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CH/CHOCOLATE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides a convenient way to perform cleanup or other forms of
resource management at the end of a scope. It is particularly useful when
dealing with exceptions: the Scope::Guard constructor takes a reference to
a subroutine that is guaranteed to be called even if the thread of
execution is aborted prematurely. This effectively allows lexically-scoped
"promises" to be made that are automatically honoured by perl's garbage
collector.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.03

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- version 0.02
